Subject: bug#48902: 28.0.50; Directory names containing apostrophes and backticks cause problems

From: Rudolf Adamkovič <[email-masked]>
Date: Sat, 12 Jun 2021 00:09:17 +0200

I have pulled, recompiled, updated my EMMS music library, and now, 
every album has artwork showing, including Japanese and other 
non-English albums. Thank you Alan, Eli, Lars, Mattias, and 
Naofumi. This was my first GNU bug report, and, as a fresh 
GNU/Emacs/DRM-free convert, I found the experience rather 
impressive!

R+

Alan Third <[email-masked]> writes:

> On Wed, Jun 09, 2021 at 01:40:18PM +0200, Mattias Engdegård 
> wrote:
>> 8 juni 2021 kl. 22.33 skrev Alan Third <[email-masked]>:
>>
>> > Patch attached. I've tested it here but I only have a couple 
>> > of images
>> > to try it with.
>>
>> Looks fine, but the image_find_image_file comment needs to be
>> amended since it says that it returns an encoded string.
>
> I've made a change to the comment.
>
>> Furthermore, if we use stringWithLispString: for file names, no
>> special file name encoding step should be needed on our side, 
>> since
>> the NS libs will perform any needed normalisation (at least if 
>> I've
>> understood it right).
>
> Yes, I believe that's right, so I've made that change too and 
> pushed
> to master.
>
> As far as I can see this fixes the problem so I'll close the bug
> report. If it's still broken in some way, please reply to this 
> email
> and we'll reopen the bug.
>
> Thanks everyone!